
QGIS Application - Bug report #12655

Copy / paste style on different geometry layers

2015-04-27 05:37 AM - Rémi Bovard

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20768

Description

Currently we can paste a style to all kinds layer whatever source geometry is and it makes some strange behaviour on target layer.

Steps to reproduce:

    -  Add a point layer

    -  Add a area layer

    -  Right click on point layer > Styles > Copy style

    -  Right click on area layer > Styles > Paste style

The style is pasted...

Associated revisions

Revision 10759252 - 2015-05-21 05:19 PM - Jakob Hvitnov

Fix #12655 copy/paste style between different vector layer geometry types

Revision 0b9ea9a6 - 2015-05-25 04:26 PM - Hugo Mercier

Merge pull request #2057 from Hvitnov/fix12655

Fix #12655 copy/paste style between different vector layer geometry types

History

#1 - 2015-04-27 09:43 AM - Giovanni Manghi

- Category set to Symbology

#2 - 2015-05-25 07:29 AM - Hugo Mercier

- Status changed from Open to Closed

Fixed in changeset commit:"0b9ea9a6160b17294b46b070c1b491bdebb93865".
